       function acc= accrote (latg)
%
%       cemtrifugal acceleration of earth / rotational
%       assumes wgs84 constants
%
%       acc = accrote ( lat_geodetic )
%      
%       acc = (n,2)  with n dimension of input latitude vector
%                    units  m/s/s
%                    (.,1) =  equatorial component
%                    (.,2) =  z-axis (north) component
%
       len = max(size(latg));
       acc = zeros ( 1,2) ;
%
       omega = 7292115.0E-11;
%
%
       for i=1:len
%
          lnow = latg(i);
%
          x    = llhxyz ( lnow,0.0,0.0 );
%
%              x in km
%
          pnow = sqrt( x(1)*x(1) + x(2)*x(2) );
          rnow = sqrt ( pnow*pnow + x(3)*x(3));
          enow = x/rnow;
%
          anow = 1000.0*omega*omega*pnow;
%
          accx = anow * enow(1);
          accz = anow * enow(3);
%
          acc(i,1) = accx;
          acc(i,2) = accz;          
%
       end
%
       return;
