     function [ a, b ]  = earthab
%
%    return current values for earth semi-major axis, semi-minor axis
%

%
%
%      ==============================================================
%                       ++ GLOBAL VARIABLES  ++
%
%       A_EARTH     if this and F_EARTH are present, defines ellipsoid
%       F_EARTH     "   "    "  A_EARTH  "    "         "      "     
%
     global   A_EARTH F_EARTH
%
%    ================================================================
%
%  Test the existence of the global values.  
%  If absent,  call wgs84 to set them
%
      tstell1 =   exist('A_EARTH');
      tstell2 =   exist('F_EARTH');
      if tstell1==1 &  tstell2==1, 
         szAE = size(A_EARTH);
         tstell3=max(szAE);
         if tstell3 <= 0, 
            wgs84;
         end;
      else
         wgs84;
      end;
%
%
%         -------------------------------------------
%

      a = A_EARTH;
      b = a * ( 1.0D0 - F_EARTH );
%
      return;
