     function gamma = g_lat ( latg,gammae,gammap,e )
%
%         Closed form gravity acc. of ellipsoid (Somigiana)
%
%     gamma  =   g_lat(latg, gammae,gammap,e)
%
%     latg   = geodetic latitude - deg
%     gammae = acc. at equator m/s/s or cm/s/s (output= these units)
%     gammep = acc. at pole  
%     e      = eccentricity
%
      dtr    = pi/180;
%
      bovera  = sqrt ( 1.0 - e*e );
      k_value = bovera * (gammap/gammae) - 1.0 ;
%
      slat   = sin(dtr*latg);
      slats  = slat.*slat;
%
      num    = 1.0 + k_value*slats;
      dom    = sqrt( 1.0 - e*e*slats);
      ratio  = num ./ dom;
%
      gamma   = gammae * ratio;
%
      return

