      function g =  g_somigl( latgd,a,b,ge,gp)
%
%		Gravity via Somigliana formula
%
%	  g = g_somial(latgd, a,b,ge,gp)
%
%		latgd   geodetic latitude in deg
%		a,b     ellipsoid semi-major, semi-axis in m
%		ge,gp   equator, polar gravity in m/s/s
%			ie MKS used. but can change if consistant
%
       e    = sqrt ( 1.0 - (b/a)^2);
%
       k    =  (b*gp)/(a*ge)  - 1.0;
%
       dtr    =  pi/180;
       slat   =  sin( dtr*latgd);
%
	 num    =       1 + k*slat.^2 ;
       dom    = sqrt (1 - (e*slat).^2 );
%
       g      =  ge * num./dom;
%
       return;
