function [partn, parte] = gdistd (lat1,lon1,lat2,lon2)
%
%         compute the partials of the geodesic distance with
%         latitude and longitude -- in length/length units
%         (ie partial ds/dnorthing, ds/deasting like)
%
%              values at the end point (lat2,lon2)  !!
%
%         (  use outputs of radcur for scaling )
%
%    modhist:
%              9-30-98  J.Clynch  -- numeric version
%
      dtr = pi/180.;
      rtd = 1.0/dtr;
%
%         hard wire the numeric distance
%
%%==      deltakm = 10.0;
      deltakm = 1.0;
%
%
      [r2,rlat2,rlon2]=radcur(lat2);
      rulat=rlat2;
      rulon= rlon2*cos(dtr*lat2);
%
      dlat =  rtd*deltakm/rulat;
      dlon =  rtd*deltakm/rulon;
%
%
%    quadritic fit to slope is line with symetric offsets
%
%         partial wrt  latitude
%
     latp = lat2+dlat/2.0;
     latm = lat2-dlat/2.0;
%
     snp = gdist ( lat1,lon1,latp,lon2);
     snm = gdist ( lat1,lon1,latm,lon2);
%
     pn  = (snp-snm)/deltakm;
%
%        partial wrt longitude
%
     lonp = lon2+dlon/2.0;
     lonm = lon2-dlon/2.0;
%
     sep = gdist ( lat1,lon1,lat2,lonp);
     sem = gdist ( lat1,lon1,lat2,lonm);
%
     pe  = (sep-sem)/deltakm;
%
%
%              output values
%
     parte  = pe;
     partn  = pn;
%
     return;
     end;
