     function [g84] = grav84(lat_gd)
%
%    compute the nominal wgs84 gravity 
%       g84 = grav84(lat_gd)
%
%    lat_gd   is geodetic latitude in degrees
%    g84      is acceleration of grav in m/s**2
%
%    NOTE:  will call wgs84prm
%    JR Clynch 2006

%         ----------------------------------------

     wgs84prm;
     esq  = e84*e84;
%
     dtr  =  pi/180.0D0;
%
     slat =  sin(dtr*lat_gd);
     slats=  slat.^2;
     num  =  1.0D0 + kgv84*slats;
     dom  =  sqrt(1.0D0 - esq*slats);
%
     g84  =  ge84 * ( num ./ dom );
%
     return;

