%
%         physical values for WGS 84
%         MKS
%
%         ellipsoid
%
     a     =  6378137.0;
     finv  =  298.257223563;
%
     f     =  1/finv;
     b     =  a * ( 1.0 - f );
     ecc   =  sqrt ( 1 - (b/a)^2 );
%
%         gravity mass earth * G
%
     GM    =  3986004.418E+8;
     GMA   =  3.5E+8;
%
     GMP   =  GM - GMA;
%
%         gravity potential geoid (U0) acc. equator and poles
%
     U0     = 62636851.7146;
     Gammae = 9.7803253359;
     Gammap = 9.8321849378;
%
%        rotation rate
%
     omega = 7292115.0E-11;
%
%              rot. acc constant  w**2 a**2 b/GM
%
     m_rot = 0.00344978650684;
%
%         Somigliana k value for gravity formula
%
     k_s   =  (b*Gammap)/(a*Gammae) - 1;
%
