%
%         WGS84 Parameters  --  Script
%         From:
%         NIMA/NGA Report TR8350.2 / Ammendment 3 2004
%
%    a84       semimajor axis m
%    finv84    inverse of flattening
%    w84       omega  rotation rate rad/s
%    GM84      gm earth with atmosphere included  m**3/s**2
%    GMp84     gm earth without atmosphere
%    U084      U_0 grav Potential of ellipsoid m**2/s**2
%    ge84      gravity acc. at equator  m/s**2
%    gp84      gravity acc. at pole     m/s**2
%
%    
%    f84       flattening
%    b84       semiminor axis - computed
%    e84       eccentricity  - computed
%    kgv84     gravity formula k, computed
%    mgv84     gravity formula m, computed
%

%
%    --------------------------------------------
%
     a84       = 6378137.0;
     finv84    = 298.257223563;
     w84       = 7292115.0D-11;
     GM84      = 3986004.418D8;
     GMp84     = 3986000.9D8;
     U084      = 62636851.7146;
     ge84      = 9.7803253359;
     gp84      = 9.8321849378;
%
     f84       = 1.0D0/finv84;
     b84       = a84*(1.0D0 - f84);
     e84       = sqrt( 1.0D0 - (b84/a84)^2);
     kgv84     = (b84*gp84) / (a84*ge84) - 1.0D0;
     mgv84     = (w84^2*a84^2*b84)/GM84;
%
%	------------------------------------------

